Subject: bug#11474: Patch for Emacsclient --eval bug

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Apr 2014 12:34:09 -0400

>> Silently dropping arguments is not very polite, so I'm not really happy
>> with your solution.
> I think as long as it is documented that the alternate_editor is not passed
> the arguments intended for Emacs, that behavior is not terrible.

The current behavior is not that terrible either.  I think a fix should
aim to actually improve the situation.

> On a practical level, I doubt the alternate_editor is going to be prepared
> to deal with Emacs flags, so that's not terribly useful.

But if the user uses --alternate-editor together with --eval, she can
make the alternate editor understand the args by making it a little
script that does what she wants.

        Stefan